Bug 1410212 - Request to move ceph-ansible files that need to be modified to another location [NEEDINFO]
Summary: Request to move ceph-ansible files that need to be modified to another location
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: All
OS: All
unspecified
low
Target Milestone: rc
: 3.*
Assignee: Sébastien Han
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 19:03 UTC by jquinn
Modified: 2020-02-14 18:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 13:49:39 UTC
Target Upstream Version:
seb: needinfo? (jquinn)


Attachments (Terms of Use)

Description jquinn 2017-01-04 19:03:09 UTC
Description of problem:The documentation for installing Ceph using Ceph-Ansible requires modifying the files located in /usr/share/ceph-ansible. /usr is mounted as a read-only filesystem and is reserved for read-only data in general.  

Customer is requesting that we review the Installation process and avoid instructing users to perform updates in /usr/share.  

They created a new directory /home/ceph-ansible and then created symlinks pointing to the files /usr/share locations in their deployment.  


Version-Release number of selected component (if applicable):2.x




Expected results: 


Additional info:

Comment 4 seb 2017-01-05 10:43:14 UTC
Usually ansible roles go to /etc/ansible/roles.
So I think the easiest change should be to put everything in /etc/ansible/.

Comment 5 Alfredo Deza 2017-01-05 16:21:52 UTC
+1 to getting the roles in /etc/ansible (maybe as part of the install process?)

Comment 6 Ken Dreyer (Red Hat) 2017-03-03 17:33:42 UTC
There was a docs change related to this that resolves it. Need to track it down and link here.

Comment 8 seb 2017-06-29 14:10:07 UTC
One question, if /usr is read-only how did they install ceph-ansible?


Note You need to log in before you can comment on or make changes to this bug.